package com.usky.dxtop.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2021-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Charge implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "seq",type = IdType.INPUT)
    private Long seq;

    @JSONField(name="create_date")
    private Date createTime;

    private String card;
    @JSONField(name="card_no")
    private String cardNo;

    private Integer type;

    private Integer term;

    private Integer shop;

    @JSONField(name="term_name")
    private String termName;

    @JSONField(name="shop_name")
    private String shopName;

    private BigDecimal amt;

    private BigDecimal balance;

    private Integer account;


}
